-- Shorthand for languages
local en = Turbine.Language.English;
local fr = Turbine.Language.French;
local de = Turbine.Language.German;

local text = {};

-- Hello message that appears when plugin is loaded
text.HelloMessage = {
    [en] = "<u><rgb=#DAA520>Friend Alert v<version>, by Thurallor</rgb></u>";
    [de] = "<u><rgb=#DAA520>Friend Alert v<version> von Thurallor</rgb></u>";
    [fr] = "<u><rgb=#DAA520>Friend Alert v<version>, par Thurallor</rgb></u>";
};

-- Chat log patterns
text.ChatLog = {
    FriendLoginPattern = {
        [en] = "^Your friend, (%S+), has come online.";
        [fr] = "^Votre ami%(e%), (%S+), s'est connecté%(e%).";
        [de] = "^(%S+) ist jetzt online.";
    };
    FriendLogoutPattern = {
        [en] = "^Your friend, (%S+), has gone offline.";
        [fr] = "^Votre ami%(e%), (%S+), s'est déconnecté%(e%).";
        [de] = "^(%S+) ist jetzt offline.";
    };
    KinshipLoginPattern = {
        [en] = "^(%S+) has come online.";
        [fr] = "^(%S+) est en ligne.";
        [de] = "^(%S+) ist jetzt online.";
    };
    KinshipLogoutPattern = {
        [en] = "^(%S+) has gone offline.";
        [fr] = "^(%S+) n'est plus en ligne.";
        [de] = "^(%S+) ist jetzt offline.";
    }
}

-- Options panel strings
text.OptionsPanel = {};
text.OptionsPanel.IncreasedWidth = {
    [en] = 0;
    [de] = 30;
    [fr] = 0;
};
text.OptionsPanel.ShowLogouts = {
    [en] = "Show logouts:";
    [de] = "Zeige Logouts:";
    [fr] = "?";
};
text.OptionsPanel.DisplayDuration = {
    [en] = "Display duration:";
    [de] = "Anzeigedauer:";
    [fr] = "?";
};
text.OptionsPanel.FadeDuration = {
    [en] = "Fade duration:";
    [de] = "Ausblenden Dauer:";
    [fr] = "?";
};
text.OptionsPanel.MainColor = {
    [en] = "Friend color:";
    [de] = "Farbe f. Freunde:";
    [fr] = "?";
};
text.OptionsPanel.SpecialColor = {
    [en] = "Special color:";
    [de] = "Farbe f. Besondere:";
    [fr] = "?";
};
text.OptionsPanel.ShowKinmates = {
    [en] = "Show kinmates:";
    [de] = "Zeige Sippenmitglieder:";
    [fr] = "?";
};
text.OptionsPanel.KinshipColor = {
    [en] = "Kinship color:";
    [de] = "Farbe f. Sippe:";
    [fr] = "?";
};
text.OptionsPanel.SpecialFriendsList = {
    [en] = "Special friends list:";
    [de] = "Besondere Freunde:";
    [fr] = "?";
};

-- Add translations to the global database (see Thurallor.Common.Utils.Locale.lua)
L:AddText(text);
